'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Optimistic = require('./blueprints/create/Optimistic');

var _Optimistic2 = _interopRequireDefault(_Optimistic);

var _Overlay = require('./blueprints/create/Overlay');

var _Overlay2 = _interopRequireDefault(_Overlay);

var _Wizard = require('./blueprints/create/Wizard');

var _Wizard2 = _interopRequireDefault(_Wizard);

var _Optimistic3 = require('./blueprints/update/Optimistic');

var _Optimistic4 = _interopRequireDefault(_Optimistic3);

var _Overlay3 = require('./blueprints/update/Overlay');

var _Overlay4 = _interopRequireDefault(_Overlay3);

var _Wizard3 = require('./blueprints/update/Wizard');

var _Wizard4 = _interopRequireDefault(_Wizard3);

var _Optimistic5 = require('./blueprints/destroy/Optimistic');

var _Optimistic6 = _interopRequireDefault(_Optimistic5);

var _Overlay5 = require('./blueprints/destroy/Overlay');

var _Overlay6 = _interopRequireDefault(_Overlay5);

var _Wizard5 = require('./blueprints/destroy/Wizard');

var _Wizard6 = _interopRequireDefault(_Wizard5);

var _action = require('./schemas/action');

var _action2 = _interopRequireDefault(_action);

var _actions = require('./schemas/actions');

var _actions2 = _interopRequireDefault(_actions);

var _field = require('./schemas/field');

var _field2 = _interopRequireDefault(_field);

var _fields = require('./schemas/fields');

var _fields2 = _interopRequireDefault(_fields);

var _loreReactFormsBootstrap = require('lore-react-forms-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  defaultBlueprint: 'optimistic',
  defaultSchema: 'default',

  blueprints: {
    create: {
      optimistic: _Optimistic2.default,
      overlay: _Overlay2.default,
      wizard: _Wizard2.default
    },
    destroy: {
      optimistic: _Optimistic6.default,
      overlay: _Overlay6.default,
      wizard: _Wizard6.default
    },
    update: {
      optimistic: _Optimistic4.default,
      overlay: _Overlay4.default,
      wizard: _Wizard4.default
    }
  },

  schemas: {
    default: {
      action: _action2.default,
      actions: _actions2.default,
      field: _field2.default,
      fields: _fields2.default
    }
  },

  fieldMap: {
    custom: _loreReactFormsBootstrap.customField,
    text: _loreReactFormsBootstrap.textField,
    password: _loreReactFormsBootstrap.passwordField,
    checkbox: _loreReactFormsBootstrap.checkboxField,
    select: _loreReactFormsBootstrap.selectField,
    string: _loreReactFormsBootstrap.stringField
  },

  actionMap: {
    default: _loreReactFormsBootstrap.defaultAction,
    primary: _loreReactFormsBootstrap.primaryAction
  }
}; /* eslint no-param-reassign: "off" */

module.exports = exports['default'];